[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#429508: centericq: Too long dialog start-up

Package: centericq
Version: 4.21.0-19
Severity: normal
Tags: patch

If too large dialog log is saved, then dialog start-up will be too long
after ENTER.

diff -rNu src/icqface.cc src/icqface.cc
--- src/icqface.cc   2005-02-15 00:40:04.000000000 +0300
+++ src/icqface.cc    2007-06-18 15:55:49.000000000 +0400
@@ -2529,6 +2529,7 @@

+        if (chatlastread == 0) chatlastread = 1;

     count = 0;
     events = em.getevents(passinfo, chatlastread);

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-k7 (SMP w/1 CPU core)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages centericq depends on:
ii  centeric 4.21.0-19                       A text-mode multi-protocol instant
ii  libc6    2.5-9+b1                        GNU C Library: Shared libraries
ii  libcomer 1.39+1.40-WIP-2006.11.14+dfsg-2 common error description library
ii  libcurl3 7.15.5-1                        Multi-protocol file transfer libra
ii  libgcc1  1:4.1.1-21                      GCC support library
ii  libgnutl 1.4.4-3                         the GNU TLS library - runtime libr
ii  libgpg-e 1.4-2                           library for common error values an
ii  libgpgme 1.1.2-5                         GPGME - GnuPG Made Easy
ii  libidn11 0.6.5-1                         GNU libidn library, implementation
ii  libjpeg6 6b-13                           The Independent JPEG Group's JPEG 
ii  libkrb53 1.6.dfsg.1-4                    MIT Kerberos runtime libraries
ii  libncurs 5.6-3                           Shared libraries for terminal hand
ii  libssl0. 0.9.8e-5                        SSL shared libraries
ii  libstdc+ 4.1.1-21                        The GNU Standard C++ Library v3
ii  zlib1g   1:1.2.3-15                      compression library - runtime

Versions of packages centericq recommends:
ii  iceweasel [www-browse          lightweight web browser based on M
ii  links [www-browser]   0.99+1.00pre12-1.2 Character mode WWW browser
ii  opera [www-browser]   9.20-20070409.6    The Opera Web Browser
ii  sox                   13.0.0-1           Swiss army knife of sound processi
ii  w3m [www-browser]     0.5.1-5.1          WWW browsable pager with excellent

-- no debconf information

Reply to: